{"openapi":"3.1.0","info":{"title":"API ЛК Поставщика","description":"<p>Все API-методы имеют ограничение по частоте запросов 80 запросов в минуту. Количество секунд до конца периода ограничения запросов можно получить из заголовка X-Rate-Limit-Retry-After-Seconds</p><p>Некоторые операции выполняются асинхронно. В ответе на такой запрос возвращается <b>operationId</b> — идентификатор запущенной операции. Для получения результата или статуса выполнения необходимо вызвать соответствующий эндпоинт получения статуса операции, например: <b>POST: /v1/products/create</b> для создания продуктов и <b>GET: /v1/products/create/operations/{operationId}</b> для проверки статуса операции.</p>"},"servers":[{}],"paths":{"/public/api/seller/v1/categories":{"get":{"tags":["API для работы со справочниками"],"summary":"Получение дерева категорий товаров","description":"Метод возвращает иерархическое дерево опубликованных категорий товаров без атрибутов. Используйте ответ для построения навигации по категориям.","operationId":"getCategories","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PimSimpleCategoryDto"}}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/categories/attributes/values/search":{"post":{"tags":["API для работы со справочниками"],"summary":"Поиск значений атрибутов","description":"Метод выполняет постраничный поиск значений справочника атрибутов. Для пагинации используется `offset`, а в ответе возвращается `nextPageToken`. Поддерживается постраничное чтение с использованием `limit` и `pageToken`.","operationId":"searchAttributeValues","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PimAttributeValuesSearchRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PimAttributeValuesResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/categories/search":{"post":{"tags":["API для работы со справочниками"],"summary":"Поиск категорий товаров с атрибутами","description":"Метод выполняет постраничный поиск категорий товаров с атрибутами. Возвращает список категорий и служебные данные для пагинации. Поддерживается постраничное чтение с использованием `limit` и `pageToken`.","operationId":"getPimCategories","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PimCategorySearchRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PimCategorySearchResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/certificates/create":{"post":{"tags":["API для работы с сертификатами"],"summary":"Запуск создания сертификатов","description":"Метод запускает асинхронную операцию создания сертификатов для товаров поставщика.\n\n<b>Что важно:</b>\n- Для каждого сертификата передавайте корректные справочные значения: тип, технический регламент и сертифицирующую организацию.\n- В ответе возвращается идентификатор операции для дальнейшего отслеживания выполнения.\n- После запуска операции используйте метод получения статуса `/public/api/seller/v1/certificates/create/operations/{operationId}`.\n\n<b>Полезные ручки для заполнения данных:</b>\n- `/public/api/seller/v1/certificates/types` - получить типы сертификатов.\n- `/public/api/seller/v1/certificates/regulations` - получить технические регламенты для оформления сертификатов.\n- `/public/api/seller/v1/certificates/organizations` - получить сертифицирующие организации.\n","operationId":"createCertificates","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCertificatesRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CreateCertificatesOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/certificates/create/operations/{operationId}":{"get":{"tags":["API для работы с сертификатами"],"summary":"Получение статуса операции создания сертификатов","description":"Метод возвращает состояние операции создания сертификатов по идентификатору операции: признак завершения и результат обработки.","operationId":"createCertificatesOperationStatus","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"operationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CreateCertificatesOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/certificates/delete":{"post":{"tags":["API для работы с сертификатами"],"summary":"Запуск удаления сертификатов","description":"Метод запускает асинхронную операцию удаления сертификатов поставщика.\n\n<b>Что важно:</b>\n- Удалять можно только сертификаты текущего поставщика.\n- Перед удалением рекомендуется получить список сертификатов и проверить `certificateId`.\n- После запуска операции используйте метод получения статуса `/public/api/seller/v1/certificates/delete/operations/{operationId}`.\n\n<b>Полезные ручки перед удалением:</b>\n- `/public/api/seller/v1/certificates/search` - получить список сертификатов поставщика и их `id`.\n- `/public/api/seller/v1/certificates/{certificateId}` - проверить конкретный сертификат перед удалением.\n","operationId":"deleteCertificates","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteCertificatesRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeletedCertificatesOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/certificates/delete/operations/{operationId}":{"get":{"tags":["API для работы с сертификатами"],"summary":"Получение статуса операции удаления сертификатов","description":"Метод возвращает состояние операции удаления сертификатов по идентификатору операции: признак завершения и результат обработки.","operationId":"deleteCertificatesOperationStatus","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"operationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeletedCertificatesOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/certificates/organizations":{"post":{"tags":["API для работы со справочниками"],"summary":"Поиск сертифицирующих организаций","description":"Метод выполняет поиск сертифицирующих организаций. Поддерживается постраничное чтение с использованием `limit` и `pageToken`.","operationId":"certificateOrganizationList","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateOrganizationsApiSearchRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CertificateOrganizationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/certificates/regulations":{"post":{"tags":["API для работы со справочниками"],"summary":"Поиск технических регламентов","description":"Метод выполняет поиск технических регламентов и возвращает подходящие записи. Поддерживается постраничное чтение с использованием `limit` и `pageToken`.","operationId":"certificateRegulations","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRegulationsApiSearchRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CertificateRegulationsResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/certificates/search":{"post":{"tags":["API для работы с сертификатами"],"summary":"Поиск сертификатов поставщика","description":"Метод выполняет поиск сертификатов поставщика. Возвращает список сертификатов и служебные данные для постраничного чтения. Поддерживается постраничное чтение с использованием `limit` и `pageToken`.","operationId":"getCertificateList","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateSearchRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CertificateSearchResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/certificates/types":{"get":{"tags":["API для работы со справочниками"],"summary":"Получение типов сертификатов","description":"Метод возвращает доступные типы сертификатов для использования при работе с сертификатами товаров.","operationId":"getTypes","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TypeAndNameString"}}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/certificates/{certificateId}":{"get":{"tags":["API для работы с сертификатами"],"summary":"Получение сертификата по идентификатору","description":"Метод возвращает сертификат поставщика по `certificateId`. Если сертификат не найден или недоступен поставщику, возвращается ошибка.","operationId":"getCertificateById","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"certificateId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicApiCertificateDto"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/contracts":{"get":{"tags":["API для работы со справочниками"],"summary":"Получение договоров поставщика","description":"Метод возвращает список активных договоров поставщика. Заблокированные договоры исключаются из ответа.","operationId":"getContractNumbers","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicContractDto"}}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/archive":{"post":{"tags":["API для работы с товарами"],"summary":"Запуск архивирования товаров","description":"Метод запускает асинхронную операцию архивирования списка товаров поставщика. Для получения итогового результата используйте метод получения статуса операции архивирования.","operationId":"archiveProducts","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchiveProductsAsyncRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveProductsAsyncOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"description":"Невалидные параметры запроса","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/archive/operations/{operationId}":{"get":{"tags":["API для работы с товарами"],"summary":"Получение статуса операции архивирования товаров","description":"Метод возвращает состояние операции архивирования товаров по идентификатору операции: признак завершения и результат обработки.","operationId":"getArchiveProductsOperationStatus","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"operationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveProductsAsyncOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/create":{"post":{"tags":["API для работы с товарами"],"summary":"Запуск создания товаров","description":"Метод запускает асинхронную операцию массового создания товаров поставщика.\n\n<b>Что важно:</b>\n- В одном запросе можно передать несколько товаров в поле `items`.\n- Для каждого товара рекомендуется передавать уникальный `vendorProductId` в рамках поставщика.\n- Базовый сценарий заполнения: договор, категория, штрихкоды, цены и контент товара.\n- В блоке `prices` используйте одно из полей: `purchasePrice` или `pledgePrice`.\n- После запуска операции используйте метод получения статуса `/public/api/seller/v1/products/create/operations/{operationId}`.\n\n<b>Полезные ручки для заполнения данных:</b>\n- `/public/api/seller/v1/contracts` - получить доступные `contractNumber` поставщика.\n- `/public/api/seller/v1/categories` - получить дерево категорий для выбора `categoryId`.\n- `/public/api/seller/v1/categories/search` - получить категории с атрибутами для проверки требований к карточке.\n- `/public/api/seller/v1/categories/attributes/values/search` - подобрать допустимые значения атрибутов по `attributeKey`.\n- `/public/api/seller/v1/certificates/search` - получить существующие сертификаты и их `id` для поля `certificateIds`.\n\n<b>Минимальный пример запроса:</b>\n```json\n{\n  \"contractNumber\": \"123456\",\n  \"items\": [\n    {\n      \"vendorProductId\": \"VENDOR_SKU_001\",\n      \"title\": \"Демо-товар\",\n      \"categoryId\": 100500,\n      \"barcodes\": [\"1234567890123\"],\n      \"salesSchemes\": [\"FBS\"],\n      \"prices\": {\n        \"basePrice\": 1999,\n        \"salePercent\": 10,\n        \"purchasePrice\": 1200\n      }\n    }\n  ]\n}\n```","operationId":"createProducts","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductsRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CreateProductsOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/create/operations/{operationId}":{"get":{"tags":["API для работы с товарами"],"summary":"Получение статуса операции создания товаров","description":"Метод возвращает состояние операции создания товаров по идентификатору операции: признак завершения и результат обработки.","operationId":"getCreateProductsOperationStatus","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"operationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CreateProductsOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/delete":{"post":{"tags":["API для работы с товарами"],"summary":"Запуск удаления товаров","description":"Метод запускает асинхронную операцию удаления списка товаров поставщика. Для контроля выполнения используйте метод получения статуса операции удаления.","operationId":"deleteProducts","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteProductsRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeletedProductsOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/delete/operations/{operationId}":{"get":{"tags":["API для работы с товарами"],"summary":"Получение статуса операции удаления товаров","description":"Метод возвращает состояние операции удаления товаров по идентификатору операции: признак завершения и результат обработки.","operationId":"getDeleteProductsOperationStatus","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"operationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeletedProductsOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/prices/update":{"post":{"tags":["API для работы с товарами"],"summary":"Запуск обновления цен товаров","description":"Метод запускает асинхронную операцию обновления цен товаров поставщика. Для получения итогового результата используйте метод получения статуса операции обновления цен.","operationId":"updateProductsPrices","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductsPricesRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateProductsPricesOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/prices/update/operations/{operationId}":{"get":{"tags":["API для работы с товарами"],"summary":"Получение статуса операции обновления цен товаров","description":"Метод возвращает состояние операции обновления цен товаров по идентификатору операции: признак завершения и результат обработки.","operationId":"getUpdateProductsPricesOperationStatus","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"operationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateProductsPricesOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/search":{"post":{"tags":["API для работы с товарами"],"summary":"Поиск товаров поставщика","description":"Метод выполняет поиск товаров поставщика. Поддерживается постраничное чтение с использованием `limit` и `pageToken`.","operationId":"searchProducts","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductsSearchRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductsResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"description":"Невалидные параметры запроса","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/send-to-review":{"post":{"tags":["API для работы с товарами"],"summary":"Запуск отправки товаров на модерацию","description":"Метод запускает асинхронную операцию отправки выбранных товаров поставщика на модерацию. Для получения итогового результата используйте метод получения статуса операции отправки на модерацию.","operationId":"sendToReview","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendToReviewProductsAsyncRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SendToReviewAsyncOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"description":"Невалидные параметры запроса","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/send-to-review/operations/{operationId}":{"get":{"tags":["API для работы с товарами"],"summary":"Получение статуса операции отправки товаров на модерацию","description":"Метод возвращает состояние операции отправки товаров на модерацию по идентификатору операции: признак завершения и результат обработки.","operationId":"getSendToReviewOperationStatus","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"operationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SendToReviewAsyncOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/unarchive":{"post":{"tags":["API для работы с товарами"],"summary":"Запуск разархивирования товаров","description":"Метод запускает асинхронную операцию разархивирования товаров поставщика. Для получения итогового результата используйте метод получения статуса операции разархивирования.","operationId":"unarchive","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnarchiveProductsRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UnarchiveProductsAsyncOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"description":"Невалидные параметры запроса","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/unarchive/operations/{operationId}":{"get":{"tags":["API для работы с товарами"],"summary":"Получение статуса операции разархивирования товаров","description":"Метод возвращает состояние операции разархивирования товаров по идентификатору операции: признак завершения и результат обработки.","operationId":"getUnarchiveProductsOperationStatus","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"operationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UnarchiveProductsAsyncOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/union-proposals":{"post":{"tags":["API для работы с объединениями товаров"],"summary":"Поиск заявок на объединения товаров","description":"Метод возвращает заявки поставщика на объединение товаров.\n\n<b>Что важно:</b>\n- Поиск выполняется только в контуре текущего поставщика.\n- Поддерживается постраничное чтение с использованием `limit` и `pageToken`.\n- Используйте этот метод для контроля статусов заявок и анализа причин ошибок.\n\n<b>Связанные ручки:</b>\n- `/public/api/seller/v1/products/union-proposals/create` - запустить создание новых заявок на объединение.\n- `/public/api/seller/v1/products/union-proposals/create/operations/{operationId}` - получить статус асинхронной операции создания заявок.\n- `/public/api/seller/v1/products/unions/search` - получить итоговый состав уже сформированных объединений.\n","operationId":"getAllUnionProposals","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiUnionProposalsSearchRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicApiUnionProposalsResponseDto"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/union-proposals/create":{"post":{"tags":["API для работы с объединениями товаров"],"summary":"Запуск создания объединений товаров","description":"Метод запускает асинхронную операцию формирования заявок на объединение товаров поставщика.\n\n<b>Что важно:</b>\n- В одном запросе можно передавать несколько заявок на объединение.\n- В объединение должны попадать товары текущего поставщика.\n- Перед созданием заявок рекомендуется проверить актуальные данные по товарам и существующим объединениям.\n- После запуска операции используйте метод получения статуса `/public/api/seller/v1/products/union-proposals/create/operations/{operationId}`.\n\n<b>Полезные ручки для подготовки данных:</b>\n- `/public/api/seller/v1/products/search` - найти товары поставщика и их идентификаторы для объединения.\n- `/public/api/seller/v1/products/{productId}` - проверить карточку конкретного товара перед объединением.\n- `/public/api/seller/v1/products/unions/search` - проверить текущие объединения, чтобы не дублировать уже существующие связи.\n- `/public/api/seller/v1/products/union-proposals` - проверить ранее созданные заявки на объединение и их статусы.\n","operationId":"createProductUnionProposalsOperation","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductUnionProposalsRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CreateProductUnionProposalsOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/union-proposals/create/operations/{operationId}":{"get":{"tags":["API для работы с объединениями товаров"],"summary":"Получение статуса операции создания объединений товаров","description":"Метод возвращает состояние операции создания объединений товаров по идентификатору операции: признак завершения и результат обработки.","operationId":"createProductUnionProposalsOperationStatus","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"operationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CreateProductUnionProposalsOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/unions/search":{"post":{"tags":["API для работы с объединениями товаров"],"summary":"Поиск объединений товаров поставщика","description":"Метод выполняет поиск существующих объединений товаров поставщика.\n\n<b>Что важно:</b>\n- Метод возвращает актуальный состав объединений, который можно использовать для сверки после выполнения операций.\n- Поддерживается постраничное чтение с использованием `limit` и `pageToken`.\n- Данные поиска полезны перед удалением вариантов из объединений, чтобы корректно сформировать запрос.\n\n<b>Связанные ручки:</b>\n- `/public/api/seller/v1/products/union-proposals` - посмотреть заявки, из которых формировались объединения.\n- `/public/api/seller/v1/products/unions/variants-delete` - запустить удаление вариантов из объединений.\n- `/public/api/seller/v1/products/search` - получить товары для сопоставления с элементами объединений.\n","operationId":"searchProductUnions","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductUnionsSearchRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductUnionsSearchResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/unions/variant-delete/operations/{operationId}":{"get":{"tags":["API для работы с объединениями товаров"],"summary":"Получение статуса операции удаления вариантов из объединения","description":"Метод возвращает состояние операции удаления вариантов из объединения по идентификатору операции: признак завершения и результат обработки.","operationId":"deleteProductUnionVariantsOperationStatus","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"operationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeleteProductUnionVariantsOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/unions/variants-delete":{"post":{"tags":["API для работы с объединениями товаров"],"summary":"Запуск удаления вариантов из объединения","description":"Метод запускает асинхронную операцию удаления вариантов товаров из объединений поставщика.\n\n<b>Что важно:</b>\n- В одном запросе можно передать несколько элементов на удаление.\n- Удаление выполняется только для объединений, доступных текущему поставщику.\n- Перед запуском операции рекомендуется проверить текущий состав объединений.\n- После запуска операции используйте метод получения статуса `/public/api/seller/v1/products/unions/variant-delete/operations/{operationId}`.\n\n<b>Полезные ручки для подготовки данных:</b>\n- `/public/api/seller/v1/products/unions/search` - получить актуальный состав объединений перед удалением.\n- `/public/api/seller/v1/products/union-proposals` - сверить изменения с ранее созданными заявками на объединение.\n- `/public/api/seller/v1/products/search` - проверить товары, которые планируется исключить из объединения.\n","operationId":"deleteProductUnionVariants","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Entry"},"maxItems":100}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeleteProductUnionVariantsOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/update":{"post":{"tags":["API для работы с товарами"],"summary":"Запуск обновления товаров","description":"Метод запускает асинхронную операцию массового обновления товаров поставщика.\n\n<b>Что важно:</b>\n- Обновление выполняется по товарам текущего поставщика.\n- В `items` рекомендуется передавать `id` товара и его `vendorProductId`.\n- Для стабильного результата передавайте полный целевой срез редактируемых полей (цены, штрихкоды, фото, атрибуты).\n- В блоке `prices` используйте одно из полей: `purchasePrice` или `pledgePrice`.\n- После запуска операции используйте метод получения статуса `/public/api/seller/v1/products/update/operations/{operationId}`.\n\n<b>Полезные ручки для заполнения данных:</b>\n- `/public/api/seller/v1/products/{productId}` - получить текущую карточку товара перед редактированием.\n- `/public/api/seller/v1/products/search` - получить список товаров и их идентификаторы для массового обновления.\n- `/public/api/seller/v1/contracts` - проверить доступные `contractNumber` поставщика.\n- `/public/api/seller/v1/categories` - уточнить доступные категории (`categoryId`).\n- `/public/api/seller/v1/categories/search` - получить категории с атрибутами и проверить состав заполняемых полей.\n- `/public/api/seller/v1/categories/attributes/values/search` - подобрать допустимые значения атрибутов.\n- `/public/api/seller/v1/certificates/search` - получить сертификаты и их `id` для поля `certificateIds`.\n\n<b>Минимальный пример запроса:</b>\n```json\n{\n  \"contractNumber\": \"123456\",\n  \"items\": [\n    {\n      \"id\": 987654,\n      \"vendorProductId\": \"VENDOR_SKU_001\",\n      \"title\": \"Демо-товар (обновленный)\",\n      \"categoryId\": 100500,\n      \"attributes\": [],\n      \"sizes\": [],\n      \"photos\": [\"https://cdn.example.com/product-1.jpg\"],\n      \"barcodes\": [\"1234567890123\"],\n      \"salesSchemes\": [\"FBS\"],\n      \"prices\": {\n        \"basePrice\": 2099,\n        \"salePercent\": 12,\n        \"purchasePrice\": 1300\n      }\n    }\n  ]\n}\n```","operationId":"updateProducts","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductsRequest"}}},"required":true},"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateProductsOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/update/operations/{operationId}":{"get":{"tags":["API для работы с товарами"],"summary":"Получение статуса операции обновления товаров","description":"Метод возвращает состояние операции обновления товаров по идентификатору операции: признак завершения и результат обработки.","operationId":"getUpdateProductsOperationStatus","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"operationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateProductsOperationResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/v1/products/{productId}":{"get":{"tags":["API для работы с товарами"],"summary":"Получение товара по идентификатору","description":"Метод возвращает карточку товара поставщика по `productId`. Если товар не принадлежит поставщику или не найден, возвращается ошибка.","operationId":"findProductById","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"productId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Product"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Ресурс не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}},"components":{"schemas":{"ApiErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}},"Error":{"type":"object","properties":{"message":{"type":"string"}}},"Attribute":{"type":"object","properties":{"key":{"type":"string","description":"Ключ атрибута"},"value":{"description":"Значение атрибута"},"gold":{"type":"boolean","description":"Признак золотой записи"}},"required":["key"]},"ProductsRequestItem":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Идентификатор товара"},"vendorProductId":{"type":"string","description":"Идентификатор товара поставщика"},"categoryId":{"type":"integer","format":"int64","description":"Идентификатор категории товара"},"attributes":{"type":"array","description":"Атрибуты товара","items":{"$ref":"#/components/schemas/Attribute"}},"sizes":{"type":"array","description":"Размеры товара","items":{"$ref":"#/components/schemas/ProductsRequestSize"}},"prices":{"$ref":"#/components/schemas/ProductsRequestPrices","description":"Цены товара"},"certificateIds":{"type":"array","description":"Идентификаторы сертификатов","items":{"type":"integer","format":"int64"}},"photos":{"type":"array","description":"Список ссылок на фото","items":{"type":"string"}},"photoSessionStatus":{"type":"string","description":"Состояние фотосессии","enum":["NEW","PROCESSING","DONE"]},"barcodes":{"type":"array","description":"Список ШК","items":{"type":"string"}},"title":{"type":"string","description":"Наименование"},"salesSchemes":{"type":"array","description":"Схема продажи","items":{"type":"string","enum":["FBO","FBS"]}}}},"ProductsRequestPrices":{"type":"object","properties":{"basePrice":{"type":"number","description":"Розничная цена"},"salePercent":{"type":"integer","format":"int32","description":"Процент скидки"},"purchasePrice":{"type":"number","description":"Закупочная цена. Если указана, то залоговая должна быть null."},"pledgePrice":{"type":"number","description":"Залоговая цена. Если указана, то закупочная должна быть null."}},"required":["basePrice"]},"ProductsRequestSize":{"type":"object","properties":{"barcodes":{"type":"array","description":"ШК","items":{"type":"string"}},"attributes":{"type":"array","description":"Свойства варианта","items":{"$ref":"#/components/schemas/Attribute"}},"purchasePrice":{"type":"number","description":"Закупочная цена"}}},"UpdateProductsRequest":{"type":"object","properties":{"contractNumber":{"type":"string","description":"Номер контракта к которому привязаны товары"},"items":{"type":"array","items":{"$ref":"#/components/schemas/ProductsRequestItem","maxItems":100},"maxItems":100,"minItems":0}},"required":["contractNumber","items"]},"Result":{"type":"object","properties":{"tag":{"type":"string","description":"Признак объединения"},"status":{"type":"string","description":"Статус удаления","enum":["SUCCESS","FAIL"]},"errors":{"type":"array","description":"Ошибки по признакам объединения","items":{"type":"string"}}},"required":["errors","status","tag"]},"UpdateProductsOperationResponse":{"type":"object","properties":{"operationId":{"type":"string","format":"uuid"},"done":{"type":"boolean"},"items":{"type":"array","items":{"$ref":"#/components/schemas/Result"}}}},"DeleteProductUnionVariantsOperationResponse":{"type":"object","properties":{"operationId":{"type":"string","format":"uuid","description":"Идентификатор операции"},"done":{"type":"boolean","description":"Выполнена ли операция"},"results":{"type":"array","description":"Результаты выполнения","items":{"$ref":"#/components/schemas/Result"}}},"required":["done","operationId","results"]},"Entry":{"type":"object","properties":{"tag":{"type":"string","description":"Признак объединения"},"productIds":{"type":"array","description":"Ид вариантов которые требуется удалить, обязателен если не заполнен deleteAllProducts","items":{"type":"integer","format":"int64"}}},"required":["tag"]},"ProductUnionWithVariantsDto":{"type":"object","properties":{"tag":{"type":"string","description":"Признак объединения конкретного поставщика в ЛК"},"attributes":{"type":"array","description":"Информация об атрибутах объединения","items":{"$ref":"#/components/schemas/UnionAttributeInfo"}},"products":{"type":"array","description":"Идентификаторы товаров в объединении, принадлежащих поставщику","items":{"type":"integer","format":"int64"}}},"required":["attributes","products"]},"ProductUnionsSearchResponse":{"type":"object","properties":{"results":{"type":"array","description":"Список объединений с товарами","items":{"$ref":"#/components/schemas/ProductUnionWithVariantsDto"}},"pageToken":{"type":"string","description":"Токен следующей страницы. Содержит идентификатор последней записи union. Если null, то следующей страницы нет."}},"required":["results"]},"UnionAttributeInfo":{"type":"object","properties":{"key":{"type":"string","description":"Ключ атрибута объединения"},"name":{"type":"string","description":"Наименование атрибута"}},"required":["key","name"]},"ProductUnionsSearchRequest":{"type":"object","properties":{"pageToken":{"type":"string","description":"Токен страницы. Для первой страницы может быть null."},"limit":{"type":"integer","format":"int32","default":100,"description":"Число строк на странице","maxLength":100,"maximum":100,"minimum":1}}},"PublicApiUnionProposalsSearchRequest":{"type":"object","properties":{"pageToken":{"type":"string","description":"Токен страницы. Для первой страницы может быть null. Содержит идентификатор последней заявки из предыдущей страницы."},"limit":{"type":"integer","format":"int32","default":100,"description":"Число строк на странице","maxLength":100,"maximum":100,"minimum":1}}},"ProductInfo":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Идентификатор товара"},"status":{"type":"string","description":"Статус товара в заявке"},"rejectedInfo":{"$ref":"#/components/schemas/RejectedInfo","description":"Информация об отклонении товара"}},"required":["id","status"]},"PublicApiUnionProposalsResponseDto":{"type":"object","properties":{"proposals":{"type":"array","description":"Список заявок на объединение","items":{"$ref":"#/components/schemas/UnionProposalInfo"}},"pageToken":{"type":"string","description":"Токен страницы. Содержит идентификатор последней заявки. Используется для получения следующей страницы. null, если следующей страницы нет."}},"required":["proposals"]},"RejectedInfo":{"type":"object","properties":{"reasons":{"type":"array","description":"Причины отклонения","items":{"type":"string"}},"comment":{"type":"string","description":"Комментарий при отклонении"}}},"UnionProposalInfo":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Идентификатор заявки"},"status":{"type":"string","description":"Статус заявки"},"tag":{"type":"string","description":"Признак объединения"},"type":{"type":"string","description":"Тип заявки"},"attributeKeys":{"type":"array","description":"Ключи атрибутов товаров, по которым создана заявка","items":{"type":"string"}},"products":{"type":"array","description":"Товары из заявки","items":{"$ref":"#/components/schemas/ProductInfo"}}},"required":["attributeKeys","id","products","status","tag","type"]},"CreateProductUnionProposalsRequest":{"type":"object","properties":{"proposals":{"type":"array","items":{"$ref":"#/components/schemas/CreateUnionProposalRequest","maxItems":100,"minItems":1},"maxItems":100,"minItems":0}},"required":["proposals"]},"CreateUnionProposalRequest":{"type":"object","properties":{"tag":{"type":"string","description":"Признак объединения","minLength":1},"attributeKeys":{"type":"array","items":{"type":"string","minItems":1},"minItems":1},"products":{"type":"array","items":{"type":"integer","format":"int64","minItems":1},"minItems":1}},"required":["attributeKeys","products","tag"]},"CreateProductUnionProposalsOperationResponse":{"type":"object","properties":{"operationId":{"type":"string","format":"uuid","description":"Идентификатор операции"},"done":{"type":"boolean","description":"Выполнена ли операция"},"response":{"$ref":"#/components/schemas/CreateProductUnionProposalsResponse","description":"Результаты выполнения"}},"required":["done","operationId","response"]},"CreateProductUnionProposalsResponse":{"type":"object","properties":{"proposals":{"type":"array","description":"Результаты создания заявок","items":{"$ref":"#/components/schemas/UnionProposal"}}},"required":["proposals"]},"UnionProposal":{"type":"object","properties":{"tag":{"type":"string","description":"Признак объединения"},"status":{"type":"string","description":"Статус создания","enum":["SUCCESS","FAIL"]},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"description":"Ошибки по продуктам"}},"required":["errors","status","tag"]},"UnarchiveProductsRequest":{"type":"object","properties":{"productIds":{"type":"array","items":{"type":"integer","format":"int64","maxItems":100,"minItems":1},"maxItems":100,"minItems":1}},"required":["productIds"]},"UnarchiveProductsAsyncOperationResponse":{"type":"object","properties":{"operationId":{"type":"string","format":"uuid","description":"Идентификатор операции"},"done":{"type":"boolean","description":"Признак завершения операции"},"items":{"type":"array","description":"Результат операции","items":{"$ref":"#/components/schemas/Result"}}},"required":["done","items","operationId"]},"SendToReviewProductsAsyncRequest":{"type":"object","properties":{"productIds":{"type":"array","items":{"type":"integer","format":"int64","maxItems":100,"minItems":1},"maxItems":100,"minItems":1}}},"SendToReviewAsyncOperationResponse":{"type":"object","properties":{"operationId":{"type":"string","format":"uuid","description":"Идентификатор операции"},"done":{"type":"boolean","description":"Признак завершения операции"},"items":{"type":"array","description":"Результат операции","items":{"$ref":"#/components/schemas/Result"}}},"required":["done","items","operationId"]},"ProductSearchRequest":{"type":"object","properties":{"productIds":{"type":"array","items":{"type":"integer","format":"int64","maxItems":100},"maxItems":100,"minItems":0}}},"ProductsSearchRequest":{"type":"object","properties":{"searchRequest":{"$ref":"#/components/schemas/ProductSearchRequest","description":"Параметры фильтрации"},"pageToken":{"type":"string","description":"Токен страницы. Для первой страницы может быть null."},"limit":{"type":"integer","format":"int32","default":100,"description":"Число строк на странице","maxLength":100,"maximum":100,"minimum":1}},"required":["searchRequest"]},"BlockingInfo":{"type":"object","properties":{"date":{"type":"string","format":"date-time","description":"Дата блокировки товара"},"reason":{"type":"string","description":"Причина блокировки товара"},"comment":{"type":"string","description":"Комментарий при блокировке товара"}},"required":["date"]},"Category":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Ид категории"}},"required":["id"]},"Certificate":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Ид сертификата"}},"required":["id"]},"CommissionCategory":{"type":"object","properties":{"code":{"type":"string","description":"Код категории"},"fullName":{"type":"string","description":"Полное наименование категории"}},"required":["code","fullName"]},"CompetitivePrice":{"type":"object","properties":{"value":{"type":"number"},"startDate":{"type":"string","format":"date"},"siteUrl":{"type":"string"}},"required":["startDate","value"]},"Contract":{"type":"object","properties":{"number":{"type":"string","description":"Номер договора"}},"required":["number"]},"Photo":{"type":"object","properties":{"url":{"type":"string","description":"URL изображения"}},"required":["url"]},"Prices":{"type":"object","properties":{"pledgePrice":{"type":"number","description":"Залоговая цена"},"actualPledgePrice":{"type":"number","description":"Действующая залоговая цена в текущем месяце"},"purchasePrice":{"type":"number","description":"Закупочная цена"},"basePrice":{"type":"number","description":"Розничная цена"},"salePrice":{"type":"number","description":"Скидка"},"salePercent":{"type":"integer","format":"int32","description":"Процент скидки"},"actionPrice":{"type":"number","description":"Цена товара в ценовой акции"},"competitivePrice":{"$ref":"#/components/schemas/CompetitivePrice","description":"Цена у конкурентов"},"priceIndex":{"type":"number","format":"double","description":"Индекс цены"}},"required":["actualPledgePrice","basePrice","competitivePrice","pledgePrice","priceIndex","purchasePrice","salePercent","salePrice"]},"Product":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Ид товара"},"mastercardId":{"type":"string","description":"Идентификатор товара на сайте"},"skuId":{"type":"string","description":"Идентификатор SKU для безразмерных товаров"},"productCode":{"type":"string","description":"Код ДМ / ProductSapCode Используется для методов по поставкам, складам"},"contract":{"$ref":"#/components/schemas/Contract","description":"Контракт"},"category":{"$ref":"#/components/schemas/Category","description":"Категория товара"},"commissionCategory":{"$ref":"#/components/schemas/CommissionCategory","description":"Категория для расчёта комиссии Детского мира"},"title":{"type":"string","description":"Наименование товара в Личном кабинете"},"siteName":{"type":"string","description":"Наименование товара на сайте"},"barcodes":{"type":"array","description":"Штрих-коды","items":{"type":"string"}},"attributes":{"type":"array","description":"Свойства товара","items":{"$ref":"#/components/schemas/Attribute"}},"sizes":{"type":"array","description":"Размеры","items":{"$ref":"#/components/schemas/ProductsResponseSize"}},"prices":{"$ref":"#/components/schemas/Prices","description":"Информация по ценам товара"},"photos":{"type":"array","description":"Фото","items":{"$ref":"#/components/schemas/Photo"}},"photoSessionStatus":{"type":"string","description":"Статус фотосъёмки товара","enum":["NEW","PROCESSING","DONE"]},"certificates":{"type":"array","description":"Сертификаты","items":{"$ref":"#/components/schemas/Certificate"}},"salesScheme":{"type":"array","description":"Схема продажи","items":{"type":"string","enum":["FBO","FBS"]}},"status":{"type":"string","description":"Статус товара","enum":["DRAFT","READY_TO_REVIEW","ON_REVIEW","DECLINED","NEED_INFO","APPROVED","ACCEPTED"]},"rejectionInfo":{"$ref":"#/components/schemas/RejectionInfo","description":"Информация об уточнении / отклонении товара"},"archive":{"type":"boolean","description":"Статус архивации товара"},"blocked":{"$ref":"#/components/schemas/BlockingInfo","description":"Информация о блокировке товара"},"fboStockLevel":{"type":"integer","format":"int64","description":"Остатки по FBO"},"fbsStockLevel":{"type":"integer","format":"int64","description":"Остатки по FBS"},"reviewsCount":{"type":"integer","format":"int32","description":"Количество отзывов"},"created":{"type":"string","format":"date-time","description":"Дата создания"},"updated":{"type":"string","format":"date-time","description":"Дата обновления"},"marking":{"type":"boolean","description":"Признак маркировки безразмерного товара"}},"required":["archive","category","contract","created","id","reviewsCount","status","title","updated"]},"ProductsResponse":{"type":"object","properties":{"items":{"type":"array","description":"Список товаров","items":{"$ref":"#/components/schemas/Product"}},"nextPageToken":{"type":"string","description":"Токен следующей страницы"}}},"ProductsResponseSize":{"type":"object","properties":{"id":{"type":"string","description":"Ид размера"},"skuId":{"type":"string","description":"Идентификатор SKU"},"productCode":{"type":"string","description":"Код ДМ / ProductSapCode Используется для методов по поставкам, складам"},"barcodes":{"type":"array","description":"ШК","items":{"type":"string"}},"attributes":{"type":"array","description":"Свойства варианта","items":{"$ref":"#/components/schemas/Attribute"}},"purchasePrice":{"type":"number","description":"Закупочная цена"},"fboStockLevel":{"type":"integer","format":"int64","description":"Остатки по FBO"},"fbsStockLevel":{"type":"integer","format":"int64","description":"Остатки по FBS"},"marking":{"type":"boolean","description":"Признак маркировки SKU"}},"required":["id"]},"RejectionInfo":{"type":"object","properties":{"reasons":{"type":"array","description":"Список причин отклонения товара","items":{"type":"string","enum":["BAD_PRODUCT","ALREADY_FOR_SALE","BAD_PHOTO","BAD_NAME","BAD_DESCRIPTION","BAD_PRICE","BAD_CERTIFICATE"]}},"comment":{"type":"string","description":"Комментарий модератора"}}},"UpdateProductPriceRequestItem":{"type":"object","properties":{"productId":{"type":"integer","format":"int64","description":"Идентификатор товара"},"basePrice":{"type":"number","description":"Розничная цена"},"salePercent":{"type":"integer","format":"int32","description":"Процент скидки"},"purchasePrice":{"type":"number","description":"Закупочная цена. Если указана, то залоговая должна быть null."},"pledgePrice":{"type":"number","description":"Залоговая цена. Если указана, то закупочная должна быть null."},"variants":{"type":"array","description":"Закупочные цены для вариантов товара","items":{"$ref":"#/components/schemas/VariantItem"}}},"required":["basePrice","productId"]},"UpdateProductsPricesRequest":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/UpdateProductPriceRequestItem","maxItems":1000},"maxItems":1000,"minItems":0}}},"VariantItem":{"type":"object","properties":{"size":{"type":"string","description":"Размерный идентификатор варианта"},"purchasePrice":{"type":"number","description":"Закупочная цена варианта"}},"required":["purchasePrice","size"]},"BatchStatusResponse":{"type":"object","properties":{"results":{"type":"array","description":"Результат операции","items":{"$ref":"#/components/schemas/Result"}}},"required":["results"]},"UpdateProductsPricesOperationResponse":{"type":"object","properties":{"operationId":{"type":"string","format":"uuid"},"done":{"type":"boolean"},"response":{"$ref":"#/components/schemas/BatchStatusResponse"}}},"DeleteProductsRequest":{"type":"object","properties":{"productIds":{"type":"array","items":{"type":"integer","format":"int64","maxItems":100,"minItems":1},"maxItems":100,"minItems":1}},"required":["productIds"]},"DeletedProductsOperationResponse":{"type":"object","properties":{"operationId":{"type":"string","format":"uuid","description":"Идентификатор операции"},"done":{"type":"boolean","description":"Признак завершения операции"},"items":{"type":"array","description":"Результат операции","items":{"$ref":"#/components/schemas/Result"}}},"required":["done","items","operationId"]},"CreateProductsRequest":{"type":"object","properties":{"contractNumber":{"type":"string","description":"Номер контракта к которому привязаны товары"},"items":{"type":"array","items":{"$ref":"#/components/schemas/ProductsRequestItem","maxItems":100},"maxItems":100,"minItems":0}},"required":["contractNumber"]},"ConstraintViolationDto":{"type":"object","properties":{"field":{"type":"string"},"invalidValue":{"type":"string"},"message":{"type":"string"}}},"CreateProductsOperationResponse":{"type":"object","properties":{"operationId":{"type":"string","format":"uuid"},"done":{"type":"boolean"},"response":{"$ref":"#/components/schemas/CreatedProductsResponse"}}},"CreatedProduct":{"type":"object","properties":{"vendorProductId":{"type":"string"},"productId":{"type":"integer","format":"int64"},"violations":{"type":"array","items":{"$ref":"#/components/schemas/ConstraintViolationDto"}}}},"CreatedProductsResponse":{"type":"object","properties":{"products":{"type":"array","items":{"$ref":"#/components/schemas/CreatedProduct"}}}},"ArchiveProductsAsyncRequest":{"type":"object","properties":{"productIds":{"type":"array","items":{"type":"integer","format":"int64","maxItems":100,"minItems":1},"maxItems":100,"minItems":1}}},"ArchiveProductsAsyncOperationResponse":{"type":"object","properties":{"operationId":{"type":"string","format":"uuid","description":"Идентификатор операции"},"done":{"type":"boolean","description":"Признак завершения операции"},"items":{"type":"array","description":"Результат операции","items":{"$ref":"#/components/schemas/Result"}}},"required":["done","items","operationId"]},"CertificateSearchRequest":{"type":"object","properties":{"certificateIds":{"type":"array","description":"Фильтр по идентификаторам сертификатов","items":{"type":"integer","format":"int64"}},"pageToken":{"type":"string","description":"Значение для получения следующей страницы данных. Для первой страницы - null."},"limit":{"type":"integer","format":"int32","default":100,"description":"Число строк на странице","maxLength":100,"maximum":100,"minimum":1}}},"CertificateSearchResponse":{"type":"object","properties":{"certificates":{"type":"array","description":"Сертификаты","items":{"$ref":"#/components/schemas/PublicApiCertificateDto"}},"nextPageToken":{"type":"string","description":"Токен следующей страницы или null, если текущая страница последняя"}}},"PublicApiCertificateDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Идентификатор сертификата"},"type":{"type":"string","description":"Тип сертификата","enum":["CONFORMITY - Сертификат соответствия","DENIAL - Свидетельство о гос. регистрации","DECLARATION - Декларация соответствия","DENIAL_LETTER - Отказное письмо","REGISTRATION_MED_DEVICE - Регистрационное удостоверение на медицинское изделие"]},"number":{"type":"string","description":"Номер сертификата"},"registryUrl":{"type":"string","description":"Ссылка на реестр сертификатов"},"issuedDate":{"type":"string","format":"date","description":"Дата выдачи"},"expirationDate":{"type":"string","format":"date","description":"Дата когда истекает срок действия"},"status":{"type":"string","description":"Статус сертификата","enum":["DRAFT - Черновик","CERT - На проверке у модератора","DECLINED - Сертификат отклонен модератором","PUBLISH - Сертификат в процессе публикации в SAP","PUBLISH_ERROR - Ошибка при публикации","APPROVED - Сертификат синхронизирован в SAP и одобрен к использованию"]},"dateApproved":{"type":"string","format":"date","description":"Дата когда сертификат был одобрен модератором"},"organizationId":{"type":"integer","format":"int64","description":"ID сертифицирующего органа"},"regulationId":{"type":"integer","format":"int64","deprecated":true,"description":"ID технического регламента. Устарело, используйте regulationIds"},"regulationIds":{"type":"array","description":"ID технических регламентов","items":{"type":"integer","format":"int64"}}},"required":["dateApproved","expirationDate","id","issuedDate","number","organizationId","status","type"]},"CertificateRegulationsApiSearchRequest":{"type":"object","properties":{"name":{"type":"string"},"id":{"type":"array","items":{"type":"integer","format":"int64"},"uniqueItems":true},"pageToken":{"type":"string","description":"Токен следующей страницы. Для первой страницы может быть null."},"limit":{"type":"integer","format":"int32","default":100,"description":"Число строк на странице","maxLength":100,"maximum":100,"minimum":1}}},"CertificateRegulationDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"externalId":{"type":"string","description":"Идентификатор технического регламента"},"name":{"type":"string","description":"Имя технического регламента"}},"required":["externalId","id","name"]},"CertificateRegulationsResponse":{"type":"object","properties":{"certificateRegulations":{"type":"array","description":"Технические регламенты","items":{"$ref":"#/components/schemas/CertificateRegulationDto"}},"nextPageToken":{"type":"string","description":"Токен следующей страницы или null, если текущая страница последняя"}}},"CertificateOrganizationsApiSearchRequest":{"type":"object","properties":{"name":{"type":"string"},"id":{"type":"array","items":{"type":"integer","format":"int64"},"uniqueItems":true},"pageToken":{"type":"string","description":"Токен следующей страницы. Для первой страницы может быть null."},"limit":{"type":"integer","format":"int32","default":100,"description":"Число строк на странице","maxLength":100,"maximum":100,"minimum":1}}},"CertificateOrganizationDto":{"type":"object","properties":{"partnerExternalId":{"type":"string","description":"Код в SAP серттификационного органа органа как контрагента"},"name":{"type":"string","description":"Имя контрагента"},"nameForBlank":{"type":"string","description":"Имя на сертификате"},"inn":{"type":"string","description":"ИНН контрагента"},"kpp":{"type":"string","description":"КПП контрагента"},"govExternalId":{"type":"string","description":"Код контрагента в сертгосорганах"},"id":{"type":"integer","format":"int64"}},"required":["govExternalId","id","inn","kpp","name","nameForBlank","partnerExternalId"]},"CertificateOrganizationResponse":{"type":"object","properties":{"certificateOrganizations":{"type":"array","description":"Сертифицирующие органы","items":{"$ref":"#/components/schemas/CertificateOrganizationDto"}},"nextPageToken":{"type":"string","description":"Токен следующей страницы или null, если текущая страница последняя"}}},"DeleteCertificatesRequest":{"type":"object","properties":{"ids":{"type":"array","items":{"type":"integer","format":"int64","maxItems":100,"minItems":1},"maxItems":100,"minItems":1}},"required":["ids"]},"DeletedCertificatesOperationResponse":{"type":"object","properties":{"operationId":{"type":"string","format":"uuid"},"done":{"type":"boolean"},"response":{"type":"array","items":{"$ref":"#/components/schemas/Result"}}}},"CreateCertificateRequestItem":{"type":"object","properties":{"type":{"type":"string","description":"Тип сертификата","enum":["CONFORMITY","DENIAL","DECLARATION","DENIAL_LETTER","REGISTRATION_MED_DEVICE","UNKNOWN"]},"number":{"type":"string","description":"Номер сертификата","minLength":1},"registryUrl":{"type":"string","description":"Ссылка на реестр сертификатов"},"issuedBy":{"type":"string","description":"Сертифицирующий орган (опционально)"},"issuedDate":{"type":"string","format":"date","description":"Дата выдачи сертификата. Формат 'yyyy-MM-dd'"},"expirationDate":{"type":"string","format":"date","description":"Дата истечения срока сертификата. Формат 'yyyy-MM-dd'"},"organizationId":{"type":"integer","format":"int64","description":"Идентификатор сертифицирующего органа"},"regulationId":{"type":"integer","format":"int64","deprecated":true,"description":"Идентификатор технического регламента. Устарело, используйте regulationIds"},"regulationIds":{"type":"array","description":"Идентификаторы технических регламентов","items":{"type":"integer","format":"int64"}},"photos":{"type":"array","items":{"type":"string","minItems":1},"maxItems":2147483647,"minItems":1}},"required":["issuedDate","number","organizationId","photos","type"]},"CreateCertificatesRequest":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CreateCertificateRequestItem","maxItems":100,"minItems":1},"maxItems":100,"minItems":1}},"required":["items"]},"CreateCertificatesOperationResponse":{"type":"object","properties":{"operationId":{"type":"string","format":"uuid"},"done":{"type":"boolean"},"response":{"$ref":"#/components/schemas/CreatedCertificatesResponse"}}},"CreatedCertificate":{"type":"object","properties":{"number":{"type":"string"},"certificateId":{"type":"integer","format":"int64"},"violations":{"type":"array","items":{"$ref":"#/components/schemas/ConstraintViolationDto"}}}},"CreatedCertificatesResponse":{"type":"object","properties":{"certificates":{"type":"array","items":{"$ref":"#/components/schemas/CreatedCertificate"}}}},"PimCategorySearchRequest":{"type":"object","properties":{"categoryIds":{"type":"array","description":"Фильтр по идентификаторам категорий","items":{"type":"integer","format":"int64"}},"pageToken":{"type":"string","description":"Токен следующей страницы. Для первой страницы может быть null."},"limit":{"type":"integer","format":"int32","default":100,"description":"Число строк на странице","maxLength":100,"maximum":100,"minimum":1}}},"PimAttribute":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Идентификатор атрибута в системе PIM"},"key":{"type":"string","description":"Ключ атрибута"},"name":{"type":"string","description":"Название атрибута"},"vendorDescription":{"type":"string","description":"Описание атрибута для поставщика"},"type":{"type":"string","description":"Тип атрибута"},"required":{"type":"boolean","description":"Признак обязателен/не обязателен атрибут для заполнения"},"min":{"type":"number","format":"double","description":"Минимальное значение для числовых атрибутов"},"max":{"type":"number","format":"double","description":"Максимальное значение для числовых атрибутов"},"minLength":{"type":"integer","format":"int32","description":"Минимальная длина для строковых атрибутов"},"maxLength":{"type":"integer","format":"int32","description":"Максимальная длина для строковых атрибутов"},"decimalPlaces":{"type":"integer","format":"int32","description":"Число знаков после запятой для типа float"},"couldBeNegative":{"type":"boolean","description":"Признак для числовых атрибутов, может ли он быть отрицательным"},"regexp":{"type":"array","description":"Регулярные выражения, которым должны удовлетворять значение атрибута","items":{"type":"string"}},"listRestrictionType":{"$ref":"#/components/schemas/PimAttributeRestriction","description":"Ограничения по введенным значениям атрибута"},"featureType":{"type":"string","description":"Признак атрибута: общий, размерный или по ситуации"},"availableForUnion":{"type":"boolean","description":"Признак, что атрибут может быть использован для объединения товаров"},"transitive":{"type":"boolean","description":"Признак сквозной записи атрибута"},"autoModeration":{"type":"boolean","description":"Признак автоматической модерации атрибута"}},"required":["autoModeration","availableForUnion","couldBeNegative","decimalPlaces","featureType","id","key","listRestrictionType","max","maxLength","min","minLength","name","regexp","required","transitive","type","vendorDescription"]},"PimAttributeRestriction":{"type":"object","properties":{"type":{"type":"string","enum":["WHITELIST","BLACKLIST","UNKNOWN"]},"keys":{"type":"array","items":{"type":"string"},"uniqueItems":true}}},"PimAttributeShortInfo":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Идентификатор атрибута. Не используется в ЛК2"},"name":{"type":"string","description":"Наименование атрибута. Не используется в ЛК2"},"key":{"type":"string","description":"Ключ атрибута"},"visibilityRule":{"$ref":"#/components/schemas/PimVisibilityRule","description":"Правила отображения компонента"}},"required":["id","key","name"]},"PimCategoryBlock":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Идентификатор блока"},"name":{"type":"string","description":"Название блока"},"attributeIds":{"type":"array","description":"Список идентификаторов атрибутов блока","items":{"type":"integer","format":"int64"}}},"required":["attributeIds","id","name"]},"PimCategoryDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Идентификатор в системе PIM"},"name":{"type":"string","description":"Название категории"},"updated":{"type":"string","format":"date-time","description":"Время последнего изменения категории / атрибута"},"published":{"type":"boolean","description":"Признак опубликована/не опубликована"},"level":{"type":"integer","format":"int32","description":"Уровень категории"},"parentId":{"type":"integer","format":"int64","description":"Идентификатор родительской категории в системе PIM"},"productType":{"$ref":"#/components/schemas/PimProductType","description":"Тип товаров в данной категории"},"attributes":{"type":"array","description":"Атрибуты товара","items":{"$ref":"#/components/schemas/PimAttribute"}},"variantAttributes":{"type":"array","description":"Атрибуты размера","items":{"$ref":"#/components/schemas/PimAttribute"}},"blocks":{"type":"array","description":"Блоки атрибутов категории","items":{"$ref":"#/components/schemas/PimCategoryBlock"}},"deleted":{"type":"boolean","description":"Признак, что категория удалена в PIM"},"siteNameData":{"$ref":"#/components/schemas/PimProductSiteNameData","description":"Информация для вычисления поля \"Наименование на сайте\""}},"required":["attributes","blocks","deleted","id","level","name","parentId","productType","published","siteNameData","updated","variantAttributes"]},"PimCategorySearchResponse":{"type":"object","properties":{"categories":{"type":"array","description":"Категории","items":{"$ref":"#/components/schemas/PimCategoryDto"}},"nextPageToken":{"type":"string","description":"Токен следующей страницы или null, если текущая страница последняя"}}},"PimProductSiteNameComponent":{"type":"object","properties":{"type":{"type":"string","description":"Тип компонента: text, comma, brace, option"},"braceType":{"type":"string","description":"Тип скобки компонента: '(' или ')', используется для type = 'brace'"},"componentData":{"$ref":"#/components/schemas/PimProductSiteNameComponentData","description":"Данные компонента"},"needMetaDataForComponent":{"type":"boolean"}},"required":["braceType","componentData","type"]},"PimProductSiteNameComponentData":{"type":"object","properties":{"title":{"type":"string","description":"Текстовое значение компонента для формирования поля 'Наименование на сайте' для типа 'text'"},"attribute":{"$ref":"#/components/schemas/PimAttributeShortInfo","description":"Информация по атрибуту компонента"},"showExtraText":{"type":"boolean","description":"Признак необходимости отображения дополнительной информации атрибута"},"text":{"type":"string","description":"Дополнительная текстовая информация атрибута"},"showUnits":{"type":"boolean","description":"Признак необходимости отображения единиц измерения атрибута"},"unit":{"type":"string","description":"Единица измерения атрибута"}},"required":["attribute","showExtraText","showUnits","text","title","unit"]},"PimProductSiteNameData":{"type":"object","properties":{"components":{"type":"array","description":"Компоненты для поля 'Наименование на сайте'","items":{"$ref":"#/components/schemas/PimProductSiteNameComponent"}}},"required":["components"]},"PimProductType":{"type":"object","properties":{"name":{"type":"string","description":"Тип товара"},"dimensionType":{"type":"string","description":"Свойство: размерный / безразмерный"},"dimensional":{"type":"boolean"},"nonDimensional":{"type":"boolean"}},"required":["dimensionType","name"]},"PimValueCondition":{"type":"object","properties":{"type":{"type":"string","description":"Тип условия видимости","enum":["ALL","WHITELIST","BLACKLIST"]},"keys":{"type":"array","description":"Список ключей словарных значений","items":{"type":"string"}}}},"PimVisibilityRule":{"type":"object","properties":{"valueCondition":{"$ref":"#/components/schemas/PimValueCondition","description":"Условия видимости по значениям атрибута"}}},"AttributeSearchRequest":{"type":"object","properties":{"attributeKey":{"type":"string","description":"Ключ атрибута"}}},"PimAttributeValuesSearchRequest":{"type":"object","properties":{"searchRequest":{"$ref":"#/components/schemas/AttributeSearchRequest","description":"Параметры фильтрации"},"pageToken":{"type":"string","description":"Токен следующей страницы. Для первой страницы может быть null."},"limit":{"type":"integer","format":"int32","default":1000,"description":"Число строк на странице","maxLength":1000,"maximum":1000,"minimum":1}}},"AttributeValue":{"type":"object","properties":{"attributeKey":{"type":"string","description":"Ключ атрибута"},"key":{"type":"string","description":"Ключ справочного значения"},"value":{"type":"string","description":"Справочное значение"}},"required":["attributeKey","key","value"]},"PimAttributeValuesResponse":{"type":"object","properties":{"items":{"type":"array","description":"Список значений атрибутов","items":{"$ref":"#/components/schemas/AttributeValue"}},"nextPageToken":{"type":"string","description":"Токен следующей страницы"}}},"PublicContractDto":{"type":"object","properties":{"contractNumber":{"type":"string","description":"Номер договора"},"contractType":{"type":"string","description":"Тип договора","enum":["VENDOR_BALANCE","DM_BALANCE","MARKETPLACE_BALANCE","DM_MP_BALANCE","UNKNOWN"]}},"required":["contractNumber","contractType"]},"TypeAndNameString":{"type":"object","properties":{"type":{"type":"string"},"name":{"type":"string"}}},"PimSimpleCategoryDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Идентификатор в системе PIM"},"name":{"type":"string","description":"Название категории"},"published":{"type":"boolean","description":"Признак опубликована/не опубликована"},"productType":{"$ref":"#/components/schemas/PimProductType","description":"Тип товаров в данной категории"},"children":{"description":"Дочерние категории","example":[{"id":0,"name":"string","published":true,"productType":{"name":"string","dimensionType":"string"},"children":[]}]}},"required":["children","id","name","productType","published"]}}}}